### Class

# Gimp ColorTransform

#### Description [src]

    final class Gimp.ColorTransform : GObject.Object
    {
      /* No available fields */
    }

Definitions and Functions relating to LCMS.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### gimp_color_transform_new

This function creates an color transform.

since: 2.10

###### gimp_color_transform_new_proofing

This function creates a simulation / proofing color transform.

since: 2.10

#### Functions

###### gimp_color_transform_can_gegl_copy

This function checks if a GimpColorTransform is needed at all.

since: 2.10

#### Instance methods

###### gimp_color_transform_process_buffer

This function transforms buffer into another buffer.

since: 2.10

###### gimp_color_transform_process_pixels

This function transforms a contiguous line of pixels.

since: 2.10

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Gimp.ColorTransform::progress

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpColorTransformClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.